Index: cli.c
===================================================================
RCS file: /usr/cvsroot/asterisk/cli.c,v
retrieving revision 1.10
diff -u -r1.10 cli.c
--- cli.c	27 Sep 2003 02:45:37 -0000	1.10
+++ cli.c	22 Oct 2003 04:27:19 -0000
@@ -36,12 +36,16 @@
 	
 void ast_cli(int fd, char *fmt, ...)
 {
-	char stuff[4096];
+	char *stuff;
 	va_list ap;
 	va_start(ap, fmt);
-	vsnprintf(stuff, sizeof(stuff), fmt, ap);
-	va_end(ap);
-	write(fd, stuff, strlen(stuff));
+	if (vasprintf(&stuff, fmt, ap) != -1)
+		va_end(ap);
+		write(fd, stuff, strlen(stuff));
+		free(stuff);
+	} else {
+		ast_log(LOG_ERROR, "Cannot allocate CLI buffer?!!\n");
+	}
 }
 
 ast_mutex_t clilock = AST_MUTEX_INITIALIZER;
